<div
  class="relative w-[5.5em] text-white font-bold rounded border border-black hover:shadow-[0px_0px_0px_2px_white] cursor-pointer"
  [class.selected]="selected"
  [class.minified]="!withSkills"
  [style.opacity]="disabledForm ? '0.5' : '1'"
  (click)="isUserTrooper || isAddTrooper ? trooperClicked(trooper) : null"
>
  <div
    *ngIf="trooper"
    class="absolute top-1 right-1 w-5 h-5 bg-[#66749e] rounded-full custom-box-shadow"
  >
    <div
      class="absolute top-1/2 left-1/2 text-xs -translate-x-1/2 -translate-y-1/2"
    >
      {{ trooper.level }}
    </div>
  </div>

  <div class="flex custom-gradient-corner rounded-t">
    <div class="flex flex-col m-px">
      <div class="item-cell">
        <ng-container *ngIf="trooper && trooper.items[2]">
          <img
            [src]="'/assets/images/items/' + trooper.items[2] + '.png'"
            class="w-full h-full"
        /></ng-container>
      </div>
      <div class="item-cell">
        <ng-container *ngIf="trooper && trooper.items[1]">
          <img
            [src]="'/assets/images/items/' + trooper.items[1] + '.png'"
            class="w-full h-full"
        /></ng-container>
      </div>
      <div class="item-cell">
        <ng-container *ngIf="trooper && trooper.items[0]">
          <img
            [src]="'/assets/images/items/' + trooper.items[0] + '.png'"
            class="w-full h-full"
        /></ng-container>
      </div>
    </div>

    <div class="flex items-center">
      <img
        *ngIf="isAddTrooper"
        src="/assets/images/shadow-plus.webp"
        alt="trooper add"
        class=""
      />
    </div>
  </div>

  <div
    class="text-xs pb-px h-[17px] text-nowrap text-center trooper-name custom-gradient overflow-hidden"
  >
    {{ trooper?.name }}
  </div>

  <img
    *ngIf="isAddTrooper"
    src="/assets/images/add.webp"
    alt=""
    class="absolute right-1 bottom-3"
  />

  <div
    *ngIf="withSkills"
    class="flex justify-evenly bg-[#66749e] pb-[2px] rounded-b-sm"
  >
    <div>
      <app-skills [skillName]="firstSkill"></app-skills>
    </div>
    <div>
      <app-skills [skillName]="secondSkill"></app-skills>
    </div>
  </div>
</div>
